You are Here:
Install Updates Gimp Error - see Security & Bug Fixes Section Sticky



LL can't/won't update

Author (Read 2108 times)

0 Members and 1 Guest are viewing this topic.

LL can't/won't update
« on: June 15, 2019, 03:17:29 AM »
 

phillawed

  • New to Forums
  • *
  • 2
    Posts
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 4.4 64bit
My LL can't/won't update

============ Log ===========

Ign:1 http://repo.linuxliteos.com/linuxlite xenial InRelease
Hit:2 http://us.archive.ubuntu.com/ubuntu xenial InRelease
Hit:3 http://archive.canonical.com xenial InRelease
Hit:4 http://ppa.launchpad.net/gezakovacs/ppa/ubuntu xenial InRelease
Ign:5 http://repo.linuxliteos.com/linuxlite xenial Release
Get:6 http://us.archive.ubuntu.com/ubuntu xenial-security InRelease [109 kB]
Ign:7 http://repo.linuxliteos.com/linuxlite xenial/main i386 Packages
Ign:8 http://repo.linuxliteos.com/linuxlite xenial/main all Packages
Hit:9 http://ppa.launchpad.net/nemh/systemback/ubuntu xenial InRelease
Ign:10 http://repo.linuxliteos.com/linuxlite xenial/main Translation-en_US
Ign:11 http://repo.linuxliteos.com/linuxlite xenial/main Translation-en
Ign:7 http://repo.linuxliteos.com/linuxlite xenial/main i386 Packages
Get:12 http://us.archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]
Hit:13 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial InRelease
Ign:8 http://repo.linuxliteos.com/linuxlite xenial/main all Packages
Get:14 http://us.archive.ubuntu.com/ubuntu xenial-proposed InRelease [260 kB]
Ign:10 http://repo.linuxliteos.com/linuxlite xenial/main Translation-en_US
Ign:11 http://repo.linuxliteos.com/linuxlite xenial/main Translation-en
Hit:15 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial InRelease
Ign:7 http://repo.linuxliteos.com/linuxlite xenial/main i386 Packages
Hit:16 http://us.archive.ubuntu.com/ubuntu xenial-backports InRelease
Ign:8 http://repo.linuxliteos.com/linuxlite xenial/main all Packages
Ign:10 http://repo.linuxliteos.com/linuxlite xenial/main Translation-en_US
Ign:11 http://repo.linuxliteos.com/linuxlite xenial/main Translation-en
Ign:7 http://repo.linuxliteos.com/linuxlite xenial/main i386 Packages
Ign:8 http://repo.linuxliteos.com/linuxlite xenial/main all Packages
Ign:10 http://repo.linuxliteos.com/linuxlite xenial/main Translation-en_US
Ign:11 http://repo.linuxliteos.com/linuxlite xenial/main Translation-en
Ign:7 http://repo.linuxliteos.com/linuxlite xenial/main i386 Packages
Ign:8 http://repo.linuxliteos.com/linuxlite xenial/main all Packages
Ign:10 http://repo.linuxliteos.com/linuxlite xenial/main Translation-en_US
Ign:11 http://repo.linuxliteos.com/linuxlite xenial/main Translation-en
Err:7 http://repo.linuxliteos.com/linuxlite xenial/main i386 Packages
  404  Not Found
Ign:8 http://repo.linuxliteos.com/linuxlite xenial/main all Packages
Ign:10 http://repo.linuxliteos.com/linuxlite xenial/main Translation-en_US
Ign:11 http://repo.linuxliteos.com/linuxlite xenial/main Translation-en
Fetched 479 kB in 6s (71.2 kB/s)
Reading package lists...
W: The repository 'http://repo.linuxliteos.com/linuxlite xenial Release' does not have a Release file.
E: Failed to fetch http://repo.linuxliteos.com/linuxlite/dists/xenial/main/binary-i386/Packages  404  Not Found
E: Some index files failed to download. They have been ignored, or old ones used instead.
 


Re: LL can't/won't update
« Reply #1 on: June 15, 2019, 03:19:49 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7171
    Posts
  • Country: nz
  • Reputation: 677
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
Use Lite Tweaks > Package System Repair to fix.
 

Re: LL can't/won't update
« Reply #2 on: June 15, 2019, 04:48:46 AM »
 

phillawed

  • New to Forums
  • *
  • 2
    Posts
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 4.4 64bit
NO
This did not fix it
 

Re: LL can't/won't update
« Reply #3 on: June 15, 2019, 06:33:57 PM »
 

minesheep

  • Forum Regular
  • ***
  • 102
    Posts
  • Country: fi
  • Reputation: 9
  • Linux Lite Member

  • Linux Lite: 4.6 64bit

  • MEMORY: 4Gb
Code: [Select]
sudo dpkg --configure -a It's very powerful command!
Can take a lot of time from about minute to few hours, if no updates never installed
Do NOT force stop or run out of power once started
Last Edit: June 15, 2019, 06:47:01 PM by minesheep
 

Re: LL can't/won't update
« Reply #4 on: June 15, 2019, 06:59:08 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7171
    Posts
  • Country: nz
  • Reputation: 677
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
NO
This did not fix it

I refuse to continue to help someone who uses capitals to shout at me and offers no further information about the error other than to say 'This did not fix it'.
 

Re: LL can't/won't update
« Reply #5 on: June 16, 2019, 07:01:04 AM »
 

torreydale

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1502
    Posts
  • Country: us
  • Reputation: 248
  • * Forum Moderator *

  • Linux Lite: 4.6 64bit

  • CPU: Intel Core i5-5300U (-HT-MCP-)

  • MEMORY: 8Gb

  • VIDEO CARD: Intel Broadwell-U Integrated Graphics
Have you tried using Timeshift to get to a previous time when things worked correctly?
Want to thank me?  Click my [Thank] link.
 

Re: LL can't/won't update
« Reply #6 on: June 18, 2019, 01:21:02 AM »
 

bernard stafford

  • KoFi Supporter
  • Occasional Poster
  • *****
  • 65
    Posts
  • Country: us
  • Reputation: 5

  • Linux Lite: 4.4 64bit

  • MEMORY: 8Gb
menu -> Search Box type Software ->Software & Updates -> Ubuntu software tab -> Change Server Location -> USA or Main Server 
The updates that you are looking for may of been moved to the other server.  If that does not help try: menu -> settings -> Lite Sources -> Root password ->
 Change Repository Sources to : Default Server USA ... Hope you the best..
 
Last Edit: June 19, 2019, 12:43:41 PM by bernard stafford
launchpad.net <-               Kernel 5.2.0
debian.org <-
GitHub.com <-
kde.org <-
I stay busy with LINUX,
Together we are LINUX...!
 

Re: LL can't/won't update
« Reply #7 on: June 18, 2019, 09:30:03 AM »
 

trinidad

  • Platinum Level Poster
  • **********
  • 1034
    Posts
  • Country: us
  • Reputation: 179
  • Linux Lite Member
    • dbts-analytics.com

  • Linux Lite: 4.6 64bit

  • CPU: AMD A8 5500 4 cores

  • MEMORY: 8Gb

  • VIDEO CARD: AMD/ATI Radeon HD 7560D
Several common things can cause update errors, and not all are related to user errors. Often users add PPAs without a release file. Occasionally a server/mirror goes offline or moves. Sometimes a user's disk is failing or full. Sometimes RAM fills and moves to swap with errors that require reboot to remove and/or install. More commonly with dpkg errors WIFI hardware errors during downloads corrupt the dpkg staus file with bad characters or missing package headers. Linux Lite has built in tools for fixing these things in Lite Tweaks. If you don't like simple fast free try the solutions below.

Generally you can run: sudo rm -rf /var/lib/apt/lists/*And then run: sudo apt-get updateThis will usually fix 404 errors. It will let you know if errors persist so you can take another course such as changing mirrors etc.

Running: sudo dpkg --configure -a  will not necessarily fix anything. It will report errors in a dpkg status file, but usually will stop at the first one. I stopped using -f commands with updates as problems can get worse if indeed you have a corrupted dpkg status file. The other option is to edit the dpkg status file. Run: sudo nano /var/lib/dpkg/status  and correct the file. If it has missing headers or terribly corrupted package files just delete that package section and save the file. If it's only character or unexpected line errors you can fix it yourself with a good guess if you're a good speller or familiar with how it should look. Run sudo dpkg --configure -a  after each correction you make. If there are several to make it will progress down them through the file as you go giving their locations by line numbers.
I personally believe that WIFI connections are the number one cause of update errors with user added PPAs a close second. Solution: use an ethernet connection to update and don't add PPAs without knowing what you're doing.
TC

Last Edit: June 18, 2019, 10:23:19 AM by trinidad
All opinions expressed and all advice given by Trinidad Cruz on this forum are his responsibility alone and do not necessarily reflect the views or methods of the developers of Linux Lite. He is a citizen of the United States where it is acceptable to occasionally be uninformed and inept as long as you pay your taxes.
 

Re: LL can't/won't update
« Reply #8 on: June 22, 2019, 01:09:03 PM »
 

diskrod

  • New to Forums
  • *
  • 35
    Posts
  • Country: us
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 4.4 64bit

  • CPU: AMD A6-9225 RADEON R4, 5 COMPUTE CORES 2C+3G

  • MEMORY: 4Gb

  • VIDEO CARD: 1366x768
Try this from Firenice03


You can remove the offending PPS's then rerun updates..

PPA Removal: Uncheck the offending PPA from "Software and Updates" under the "Other Software" tab..
Remove both: docky-core and trebelnik-stefina
Then try running updates again..
You can update from terminal or from Menu > Favorites > Install Updates


Also within the manual
https://www.linuxliteos.com/manual/software.html#pparem
 


Tags:
 


Install Updates Gimp Error - see Security & Bug Fixes Section Sticky